Bug 207798 - Review Request: perl-Test-File - Test file attributes
Review Request: perl-Test-File - Test file attributes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-23 08:14 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 08:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-09-23 08:14:50 EDT
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-File.spec
SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-File-1.16-1.src.rpm

Description:
This modules provides a collection of test utilities for file attributes.
Comment 1 Jason Tibbitts 2006-09-23 11:03:27 EDT
* source files match upstream:
   8997fa36af7b22d81c221d5325b46930  Test-File-1.16.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (BR: perl(Test::Builder) and
perl(Test::Builder::Tester) are unnecessary as they are part of the base Perl
package.)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Test::File) = 1.16
   perl-Test-File = 1.16-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(File::Spec)
   perl(Test::Builder)
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful, 5 subtests skipped.
   Files=9, Tests=63,  6 wallclock secs ( 5.35 cusr +  0.35 csys =  5.70 CPU)
   The five skipped subtests are expected.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-09-23 13:19:41 EDT
Tibbs,

Thanks for the review.
The package has been imported and already built for devel.
I will close this ticket as soon as the package gets built for FC-5 (branch
pending).

jpo
Comment 3 Jose Pedro Oliveira 2006-09-24 08:00:17 EDT
Also built for FC-5.

Note You need to log in before you can comment on or make changes to this bug.